有朋自远方来,不亦乐乎。
后台升级wp版本,提醒输入‘FTP信息’
原创 橘子书  17 Jun/18 928 A+

使用LNMP一键安装包部署环境的时候,当我们升级wordpress版本、主题、插件时,因为网站根目录的问题,后台会提醒我们输入信息,才能顺利完成升级。

1

如何避过?解决方法如下:

假设我们的wordpress安装目录为/home/wwwroot/lnmp.org

那么,只需用Putty登录Linux VPS,执行以下命令:

chown -R www /home/wwwroot/lnmp.org

Ps:执行上面的命令,可以将/home/wwwroot/lnmp.org下所有文件的属主改为www,这样就可以解决自动更新时,必须填写FTP的问题。

2

常规方法记录:

1.VPS等服务器:

使用ssh,输入命令:

chown -R www /www/web

2.虚拟主机:

打开网站根目录下的wp-config.php文件的末尾,加入以下代码:

define("FS_METHOD","direct");
define("FS_CHMOD_DIR", 0777);
define("FS_CHMOD_FILE", 0777);

阅读全文

该文章还没有任何评论,你来说两句吧.

发表评论

莫慌,小狮子正在努力加载评论...